LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
SessionListener Service Reference

This was created from its sole place of use, so it might be incomplete. More...

`import"SessionListener.idl";`

Inheritance diagram for SessionListener:

## Public Member Functions
| createWithOnQuitFlag ([in] boolean AllowUserInteractionOnQuit)
Public Member Functions inherited from XSessionManagerListener2
void | doQuit ()
| doQuit gets called when the session manager has decided the application should quit. More...
Public Member Functions inherited from XSessionManagerListener
void | doSave ([in] boolean bShutdown, [in] boolean bCancelable)
| doSave gets called when a save event was issued by the session manager the listener should do what is necessary to restore the current state of the application More...
void | approveInteraction ([in] boolean bInteractionGranted)
| approveInteraction is called when an outstanding interaction request was processed by the session manager More...
void | shutdownCanceled ()
| shutdownCanceled is called when a shutdown was canceled by the user The listener can cancel his saving operations. More...
boolean | doRestore ()
| returns true, if a session was restored More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This was created from its sole place of use, so it might be incomplete.

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ createWithOnQuitFlag()

createWithOnQuitFlag | ( | [in] boolean | AllowUserInteractionOnQuit | ) |

The documentation for this service was generated from the following file:

- com/sun/star/frame/SessionListener.idl